<?php
  /*
    XE여부 판단하여 XE가 아닌경우 종료
    1.4 호환을 위해 __ZBXE__ 추가
  */
  if(!defined("__ZBXE__") && !defined("__XE__")) exit();
  /*
    관리자 페이지일 경우 종료
  */
  if(Context::get('module')=="admin") return;
  /*
    before_display_content가 아니면 종료
    (콘텐츠 보여주기 전이 아니면 종료)
    애드온은 4번 실행되는데 각자 $called_position 이 다르다.
    
    그래서 아래처럼 제어하여 애드온이 원하는 부분에서 실행되도록 한다.
  */
  if($called_position != "before_display_content") return;
  
  /*
    모바일 향상기능 작동 + 모바일에서 PC버전을 볼 경우 종료
  */
  if($addon_info->mobilefast == 'Y' && $_COOKIE['mobile'] == "false" && Mobile::isMobileCheckByAgent()) return;
  
  /*
    fadeIn 기능, fadeOut 기능을 모두 사용안함 처리 했을때 종료
  */
  if($addon_info->fadein == "N" && $addon_info->fadeout == "N") return;
  
  /*
    fadeIn 시간, fadeOut 시간을 설정하지 않은경우 기본값 설정.
  */
  if(!$addon_info->in_time) $addon_info->in_time = 700;
  if(!$addon_info->out_time) $addon_info->out_time = 700;
  
  /*
    브라우저 에이전트 구하기 (처리는 맨 아랫 부분에서)
  */
  $browserAgent = getenv('HTTP_USER_AGENT');
  
  /*
    사이트 주소 구하기
  */
  $url = getFullUrl();
  
  /*
    사이트 주소 끝에 / 가 붙어있는경우 / 제거.
  */
  $len = strlen($url);
  if(substr($url,$len-1,1) == '/') $url = substr($url,0,$len-1);
  
  /*
    추가할 내용 입력
  */
  $headerPutting = '';
  if($addon_info->fadein != "N")
    $headerPutting .= '
      <style type="text/css">
        body>div{
          opacity:0;
          filter:alpha(opacity=0)
        }
      </style>
      <noscript>
        <style type="text/css">
          body>div{
            opacity:1;
            filter:alpha(opacity=100)
          }
        </style>
      </noscript>
    ';
  if($addon_info->loading != "N")
    $headerPutting .= '
      <style type="text/css">
        .pagechange{
          position:fixed;
          top:50%;
          left:50%;
          z-index:-1;
          width:120px;
          overflow:hidden;
          height:80px;
          line-height:80px;
          margin:-41px 0 0 -101px;
          padding:0 0 0 80px;
          font-size:20pt;
          border:1px solid #ccc;
          display:block;
          border-radius:20px;
          background:#fff url("./common/img/msg.loading.gif") no-repeat 24px 24px;
        }
      </style>
      <noscript>
        <style type="text/css">
          .pagechange{
            display:none;
          }
        </style>
      </noscript>
    ';
  $headerPutting .= '
    <script type="text/javascript">
      jQuery(function($){
        x=$("body>div:not(.pagechange)");
        p=$(".pagechange");
  ';
  if($addon_info->fadein != "N")
    $headerPutting .= '
        $(window).load(function(){
          p.animate({"opacity":0},'.$addon_info->in_time.');
          x.animate({"opacity":1},'.$addon_info->in_time.');
        })
    ';
  if($addon_info->fadeout != "N")
    $headerPutting .= '
        e3 = true;
        $(window).keydown(function(){
          e3 = false;
        });
        $(window).keyup(function(){
          e3 = true;
        });
        function chPage(a){
          if((a.indexOf("'.$url.'") == -1 && a.indexOf("http://") != -1) || a.indexOf("#") == 0)
            return false;
          else return true;
        }
        $("a").click(function(){
          o = $(this);
          h = o.attr("href");
          t = o.attr("target");
          c = o.attr("onclick");
          if(h){
            if(h.indexOf("javascript:") != -1 || h.indexOf("javascript_:") != -1) e1 = false;
            else e1 = true;
            if(c)
              if(c.indexOf("return false") == -1) e2 = true;
              else e2 = false;
            else e2 = true;
            if(!t) t = "_self";
            if(chPage(h) && t == "_self" && e1 && e2 && e3){
              p.stop().animate({"opacity":1},'.$addon_info->out_time.');
              x.stop().animate({"opacity":0},'.$addon_info->out_time.', function(){
                location.href = h;
              });
              return false;
            }
            else return true;
          }
        });
        $("form").submit(function(){
          o = $(this);
          a = o.attr("action");
          c = o.attr("onsubmit");
          if(c)
            if(c.indexOf("return") == -1) e = true;
            else e = false;
          else e = true;
          if(chPage(a) && !o.hasClass("isSubmit") && e){
            p.stop().animate({"opacity":1},'.$addon_info->out_time.');
            x.stop().animate({"opacity":0},'.$addon_info->out_time.',function(){
              o.addClass("isSubmit").submit();
            });
            return false;
          }
          else return true;
        });
    ';
  if($addon_info->fadein != "N" || $addon_info->fadeout != "N")
    $headerPutting .= '
      });
    </script>
    ';
  /*
    페이지 하단에 pagechange추가
  */
  Context::addHtmlFooter('<span class="pagechange">Loading</span>');
  
  /* IE 버전 구하기 */
  preg_match('/MSIE [0-9]+/', $browserAgent, $browserData);
  if($browserData) $browserVersion = (int) str_replace("MSIE ","",$browserData[0]);
  
  /* IE버전이 8초과이거나 IE가 아닌경우 실행 */
  if(!$browserData || $browserVersion > 8) Context::addHtmlHeader($headerPutting);
?>